<?php
/**
 *
 * Adds custom Block Styles to the editor.
 *
 * @link https://developer.wordpress.org/block-editor/developers/filters/block-filters/
 *
 * @package Hansen
 */

/*
 * Would this be better with 'core/query' instead?
 * Currently 'core/query' does not pass styles to front end,
 * so using inner 'core/query-loop', although is not immediately
 * obvious that it can be selected in the editor.
*/
register_block_style(
	'core/query-loop',
	array(
		'name'			=> 'box-shadow',
		'label'			=> __( 'Box Shadow', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/columns',
	array(
		'name'			=> 'no-bottom-margin',
		'label'			=> __( 'No Bottom Margin', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/navigation',
	array(
		'name'			=> 'mobile',
		'label'			=> __( 'Mobile Friendly', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/navigation',
	array(
		'name'			=> 'mobile-all',
		'label'			=> __( 'Mobile Style', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);

register_block_style(
	'core/group',
	array(
		'name'			=> 'narrow-width',
		'label'			=> __( 'Narrow Width', 'hansen' ),
		'style_handle'	=> 'hansen-style',
	)
);
